Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class Role

    java.lang.Object
      org.mindswap.pellet.Role

    public class Role

extends java.lang.Object

Title:

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Field Summary
`static int` | `ANNOTATION`
`static int` | `ANTI_SYM`
`static int` | `COMPLEX_SUB`
`static int` | `DATATYPE`
`static int` | `FORCE_SIMPLE`
`static int` | `FUNCTIONAL`
`static int` | `INV_FUNCTIONAL`
`static int` | `IRREFLEXIVE`
`static int` | `OBJECT`
`static int` | `ONTOLOGY`
`static int` | `REFLEXIVE`
`static int` | `SIMPLE`
`static int` | `TRANSITIVE`
`static java.lang.String[]` | `TYPES`
`static int` | `UNDEFINED` Deprecated. Use UNTYPED instead
`static int` | `UNTYPED`

Constructor Summary
`Role(aterm.ATermAppl name)`
`Role(aterm.ATermAppl name, int type)`

Method Summary
`void` | `addDisjointRole(Role r)`
`void` | `addDomain(aterm.ATermAppl a)`
`void` | `addDomain(aterm.ATermAppl a, DependencySet ds)`
`void` | `addDomains(java.util.Set a)`
`void` | `addFunctionalSuper(Role r)`
`void` | `addRange(aterm.ATermAppl a)`
`void` | `addRange(aterm.ATermAppl a, DependencySet ds)`
`void` | `addRanges(java.util.Set a)`
`void` | `addSubRole(Role r)` r is subrole of this role
`void` | `addSubRole(Role r, DependencySet ds)` Add sub role with depedency set.
`void` | `addSubRoleChain(aterm.ATermList chain)` Add a sub role chain without dependency tracking information
`void` | `addSubRoleChain(aterm.ATermList chain, DependencySet ds)` Add a sub role chain with dependency tracking.
`void` | `addSuperRole(Role r)` r is superrole of this role
`void` | `addSuperRole(Role r, DependencySet ds)`
`void` | `addTransitiveSubRole(Role r)`
`java.lang.String` | `debugString()`
`boolean` | `equals(java.lang.Object o)`
`java.util.Set<Role>` | `getDisjointRoles()`
`aterm.ATermAppl` | `getDomain()`
`java.util.Set` | `getDomains()`
`java.util.Set<Role>` | `getEquivalentProperties()`
`DependencySet` | `getExplainAntisymmetric()`
`DependencySet` | `getExplainDomain()`
`DependencySet` | `getExplainDomain(aterm.ATermAppl a)`
`DependencySet` | `getExplainFunctional()`
`DependencySet` | `getExplainInverse()`
`DependencySet` | `getExplainInverseFunctional()`
`DependencySet` | `getExplainIrreflexive()`
`DependencySet` | `getExplainRange()`
`DependencySet` | `getExplainRange(aterm.ATermAppl a)`
`DependencySet` | `getExplainReflexive()`
`DependencySet` | `getExplainSub(aterm.ATerm r)`
`DependencySet` | `getExplainSuper(aterm.ATerm r)`
`DependencySet` | `getExplainSymmetric()`
`DependencySet` | `getExplainTransitive()`
`TransitionGraph` | `getFSM()`
`java.util.Set` | `getFunctionalSupers()`
`Role` | `getInverse()`
`aterm.ATermAppl` | `getName()`
`java.util.Set<Role>` | `getProperSubRoles()`
`aterm.ATermAppl` | `getRange()`
`java.util.Set` | `getRanges()`
`java.util.Set<aterm.ATermList>` | `getSubRoleChains()`
`java.util.Set<Role>` | `getSubRoles()`
`java.util.Set<Role>` | `getSuperRoles()`
`java.util.Set` | `getTransitiveSubRoles()`
`int` | `getType()`
`java.lang.String` | `getTypeName()`
`boolean` | `hasComplexSubRole()`
`boolean` | `hasNamedInverse()`
`boolean` | `isAnnotationRole()` check if a role is declared as datatype property
`boolean` | `isAnon()`
`boolean` | `isAntisymmetric()`
`boolean` | `isDatatypeRole()`
`boolean` | `isEquivalent(Role r)`
`boolean` | `isForceSimple()`
`boolean` | `isFunctional()`
`boolean` | `isInverseFunctional()`
`boolean` | `isIrreflexive()`
`boolean` | `isObjectRole()`
`boolean` | `isOntologyRole()`
`boolean` | `isReflexive()`
`boolean` | `isSimple()`
`boolean` | `isSubRoleOf(Role r)`
`boolean` | `isSuperRoleOf(Role r)`
`boolean` | `isSymmetric()`
`boolean` | `isTransitive()`
`boolean` | `isUntypedRole()`
`void` | `removeSubRole(Role r)`
`void` | `removeSubRoleChain(aterm.ATermList chain)`
`void` | `removeSubRoleChains()`
`void` | `setAntisymmetric(boolean b)`
`void` | `setAntisymmetric(boolean b, DependencySet ds)`
`void` | `setForceSimple(boolean b)`
`void` | `setFSM(TransitionGraph tg)`
`void` | `setFunctional(boolean b)`
`void` | `setFunctional(boolean b, DependencySet ds)`
`void` | `setHasComplexSubRole(boolean b)`
`void` | `setInverse(Role term)`
`void` | `setInverse(Role term, DependencySet ds)`
`void` | `setInverseFunctional(boolean b)`
`void` | `setInverseFunctional(boolean b, DependencySet ds)`
`void` | `setIrreflexive(boolean b)`
`void` | `setIrreflexive(boolean b, DependencySet ds)`
`void` | `setReflexive(boolean b)`
`void` | `setReflexive(boolean b, DependencySet ds)`
`void` | `setSubRoleChains(java.util.Set subRoleChains)` Deprecated. Use setSubRolesAndChains now.
`void` | `setSubRoles(java.util.Set subRoles)` Deprecated. Use setSubRolesAndChains now.
`void` | `setSubRolesAndChains(java.util.Set<Role> subRoles, java.util.Set<aterm.ATermList> subRoleChains, java.util.Map dependencies)`
`void` | `setSuperRoles(java.util.Set superRoles)`
`void` | `setTransitive(boolean b)`
`void` | `setTransitive(boolean b, DependencySet ds)`
`void` | `setType(int type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPES

    public static final java.lang.String[] TYPES

### UNDEFINED

    public static final int UNDEFINED

  Deprecated. Use UNTYPED instead
  See Also:
    Constant Field Values

### UNTYPED

    public static final int UNTYPED

See Also:
  Constant Field Values

### OBJECT

    public static final int OBJECT

See Also:
  Constant Field Values

### DATATYPE

    public static final int DATATYPE

See Also:
  Constant Field Values

### ANNOTATION

    public static final int ANNOTATION

See Also:
  Constant Field Values

### ONTOLOGY

    public static final int ONTOLOGY

See Also:
  Constant Field Values

### TRANSITIVE

    public static int TRANSITIVE

### FUNCTIONAL

    public static int FUNCTIONAL

### INV_FUNCTIONAL

    public static int INV_FUNCTIONAL

### REFLEXIVE

    public static int REFLEXIVE

### IRREFLEXIVE

    public static int IRREFLEXIVE

### ANTI_SYM

    public static int ANTI_SYM

### SIMPLE

    public static int SIMPLE

### COMPLEX_SUB

    public static int COMPLEX_SUB

### FORCE_SIMPLE

    public static int FORCE_SIMPLE

Constructor Detail

### Role

    public Role(aterm.ATermAppl name)

### Role

    public Role(aterm.ATermAppl name,
                int type)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### debugString

    public java.lang.String debugString()

### addSubRoleChain

    public void addSubRoleChain(aterm.ATermList chain)

  Add a sub role chain without dependency tracking information

  Parameters:
    `chain` -

### addSubRoleChain

    public void addSubRoleChain(aterm.ATermList chain,
                                DependencySet ds)

  Add a sub role chain with dependency tracking.

  Parameters:
    `chain` - List of role names of at least length 2.
    `ds` -

### removeSubRoleChain

    public void removeSubRoleChain(aterm.ATermList chain)

### removeSubRoleChains

    public void removeSubRoleChains()

### addSubRole

    public void addSubRole(Role r)

  r is subrole of this role

  Parameters:
    `r` -

### addSubRole

    public void addSubRole(Role r,
                           DependencySet ds)

  Add sub role with depedency set.

  Parameters:
    `r` - subrole of this role
    `ds` -

### removeSubRole

    public void removeSubRole(Role r)

### addSuperRole

    public void addSuperRole(Role r)

  r is superrole of this role

  Parameters:
    `r` -

### addSuperRole

    public void addSuperRole(Role r,
                             DependencySet ds)

### addDisjointRole

    public void addDisjointRole(Role r)

### addDomain

    public void addDomain(aterm.ATermAppl a)

### addDomain

    public void addDomain(aterm.ATermAppl a,
                          DependencySet ds)

### addRange

    public void addRange(aterm.ATermAppl a)

### addRange

    public void addRange(aterm.ATermAppl a,
                         DependencySet ds)

### addDomains

    public void addDomains(java.util.Set a)

### addRanges

    public void addRanges(java.util.Set a)

### isObjectRole

    public boolean isObjectRole()

### isDatatypeRole

    public boolean isDatatypeRole()

### isOntologyRole

    public boolean isOntologyRole()

### isAnnotationRole

    public boolean isAnnotationRole()

  check if a role is declared as datatype property

### isUntypedRole

    public boolean isUntypedRole()

### getInverse

    public Role getInverse()

  Returns:

### hasNamedInverse

    public boolean hasNamedInverse()

### hasComplexSubRole

    public boolean hasComplexSubRole()

### isFunctional

    public boolean isFunctional()

### isInverseFunctional

    public boolean isInverseFunctional()

### isSymmetric

    public boolean isSymmetric()

### isAntisymmetric

    public boolean isAntisymmetric()

### isTransitive

    public boolean isTransitive()

### isReflexive

    public boolean isReflexive()

### isIrreflexive

    public boolean isIrreflexive()

### isAnon

    public boolean isAnon()

### getName

    public aterm.ATermAppl getName()

### getDomain

    public aterm.ATermAppl getDomain()

### getRange

    public aterm.ATermAppl getRange()

### getDomains

    public java.util.Set getDomains()

### getRanges

    public java.util.Set getRanges()

### getSubRoles

    public java.util.Set<Role> getSubRoles()

### getEquivalentProperties

    public java.util.Set<Role> getEquivalentProperties()

### isEquivalent

    public boolean isEquivalent(Role r)

### getProperSubRoles

    public java.util.Set<Role> getProperSubRoles()

### getSubRoleChains

    public java.util.Set<aterm.ATermList> getSubRoleChains()

### getSuperRoles

    public java.util.Set<Role> getSuperRoles()

  Returns:

### getDisjointRoles

    public java.util.Set<Role> getDisjointRoles()

### getType

    public int getType()

  Returns:

### getTypeName

    public java.lang.String getTypeName()

### isSubRoleOf

    public boolean isSubRoleOf(Role r)

### isSuperRoleOf

    public boolean isSuperRoleOf(Role r)

### setInverse

    public void setInverse(Role term)

### setInverse

    public void setInverse(Role term,
                           DependencySet ds)

### setFunctional

    public void setFunctional(boolean b)

### setFunctional

    public void setFunctional(boolean b,
                              DependencySet ds)

### setInverseFunctional

    public void setInverseFunctional(boolean b)

### setInverseFunctional

    public void setInverseFunctional(boolean b,
                                     DependencySet ds)

### setTransitive

    public void setTransitive(boolean b)

### setTransitive

    public void setTransitive(boolean b,
                              DependencySet ds)

### setReflexive

    public void setReflexive(boolean b)

### setReflexive

    public void setReflexive(boolean b,
                             DependencySet ds)

### setIrreflexive

    public void setIrreflexive(boolean b)

### setIrreflexive

    public void setIrreflexive(boolean b,
                               DependencySet ds)

### setAntisymmetric

    public void setAntisymmetric(boolean b)

### setAntisymmetric

    public void setAntisymmetric(boolean b,
                                 DependencySet ds)

### setHasComplexSubRole

    public void setHasComplexSubRole(boolean b)

### setType

    public void setType(int type)

### setSubRolesAndChains

    public void setSubRolesAndChains(java.util.Set<Role> subRoles,
                                     java.util.Set<aterm.ATermList> subRoleChains,
                                     java.util.Map dependencies)

  Parameters:
    `subRoleChains` -
    `dependencies` - map from role names (or lists) to depedencies

### setSubRoleChains

    public void setSubRoleChains(java.util.Set subRoleChains)

  Deprecated. Use setSubRolesAndChains now.

  Parameters:
    `subRoles` -
    `subRoleChains` -
    `dependencies` -

### setSubRoles

    public void setSubRoles(java.util.Set subRoles)

  Deprecated. Use setSubRolesAndChains now.

  Parameters:
    `subRoles` - The subRoles to set.

### setSuperRoles

    public void setSuperRoles(java.util.Set superRoles)

  Parameters:
    `superRoles` - The superRoles to set.
    `dependencies` - A map from role names (or role lists) to dependency sets.

### getFunctionalSupers

    public java.util.Set getFunctionalSupers()

  Returns:
    Returns the functionalSuper.

### addFunctionalSuper

    public void addFunctionalSuper(Role r)

  Parameters:
    `functionalSuper` - The functionalSuper to set.

### setForceSimple

    public void setForceSimple(boolean b)

### isForceSimple

    public boolean isForceSimple()

### isSimple

    public boolean isSimple()

### getTransitiveSubRoles

    public java.util.Set getTransitiveSubRoles()

  Returns:
    Returns transitive sub roles.

### addTransitiveSubRole

    public void addTransitiveSubRole(Role r)

  Parameters:
    `r` - The transtive sub role to add.

### setFSM

    public void setFSM(TransitionGraph tg)

### getFSM

    public TransitionGraph getFSM()

### getExplainAntisymmetric

    public DependencySet getExplainAntisymmetric()

### getExplainDomain

    public DependencySet getExplainDomain()

### getExplainDomain

    public DependencySet getExplainDomain(aterm.ATermAppl a)

### getExplainFunctional

    public DependencySet getExplainFunctional()

### getExplainInverse

    public DependencySet getExplainInverse()

### getExplainInverseFunctional

    public DependencySet getExplainInverseFunctional()

### getExplainIrreflexive

    public DependencySet getExplainIrreflexive()

### getExplainRange

    public DependencySet getExplainRange()

### getExplainRange

    public DependencySet getExplainRange(aterm.ATermAppl a)

### getExplainReflexive

    public DependencySet getExplainReflexive()

### getExplainSub

    public DependencySet getExplainSub(aterm.ATerm r)

### getExplainSuper

    public DependencySet getExplainSuper(aterm.ATerm r)

### getExplainSymmetric

    public DependencySet getExplainSymmetric()

### getExplainTransitive

    public DependencySet getExplainTransitive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.